> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/android/standalone-modules/caffaceliveness/advanced_features.md).

# Recursos avançados

### Proxy reverso do FaceLiveness

1. **URL do proxy**: Configure seu proxy para se comunicar com `wss://us.rp.secure.iproov.me/ws`.
2. Use o `.setLivenessBaseUrl` método para configurar a URL do FaceLiveness. O protocolo deve ser WSS.
3. Use `.setCertificates` para definir os certificados de hash SHA256 codificados em Base64 necessários.

### Exemplo

```kotlin
val faceLiveness = CafFaceLiveness.CafBuilder()
    .setStage(CAFStage.PROD)
    .setListener(
        // Criar listener
    )
    .setLivenessBaseUrl("wss://my.proxy.io/ws")
    .setCertificates(
        // Estes certificados são apenas espaços reservados de exemplo.
        listOf(
            "VMti7rJ8aFve2YjdKbNc45VycE9MxSwgzD4OIQXpFmU=",
            "BMu4vLR3pDyi8aZKrJPcVJxu7NgSx0rYqP3TSJhNeLc=",
            "YKr9vGU5bExJ3hVp7TeQWJfs5RcCdM1oFd8lTArS0tE="
        )
    )
    .build()
```

### Proxy reverso de autenticação

1. **URL do proxy**: Configure seu proxy para se comunicar com a URL CAFStage correspondente:
   * PROD: `https://api.public.caf.io/`
   * BETA: `https://api.public.beta.caf.io/`
   * DEV: `https://api.public.dev.caf.io/`
2. Use `.setAuthBaseUrl` para especificar a URL de autenticação.

### Exemplo

```kotlin
val sdk = CafFaceLiveness.CafBuilder()
    .setStage(CAFStage.PROD)
    .setListener(
        // Criar listener
    )
    .setAuthBaseUrl("https://my.proxy.io/")
    .build()
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/android/standalone-modules/caffaceliveness/advanced_features.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
